> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Update a bus run setup

PATCH https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/{id}
Content-Type: application/json

Updates the schedule, stop and time types, route count, and optional grade, class, and weekday assignments for an existing bus run setup.

Reference: https://docs.schoolset.io/api-reference/school-set-api/bussing-run-setup/update-bussing-run-setup

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `id` (integer, required) — Run setup identifier.

### Body (application/json)

This endpoint expects an object.

- `name` (string, required)
- `start_time` (string, required)
- `end_time` (string, required)
- `time_type_id` (integer, required)
- `stop_type_id` (integer, required)
- `amount_of_routes` (integer, required)
- `class_ids` (list of integer, optional, nullable)
- `grade_ids` (list of integer, optional, nullable)
- `days_of_week` (list of enum, optional, nullable)
  - Allowed values: `Monday`, `Tuesday`, `Wednesday`, `Thursday`, `Friday`, `Saturday`, `Sunday`

## Response

### 200

Run setup updated.

- `status` (string, optional)
- `message` (string, optional)
- `data` (map from string to any, optional)

## Errors

### 401 Unauthorized Error

Authentication required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

User cannot edit bussing.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Run setup not found.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Invalid run setup details.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "name": "Morning Elementary Route",
  "start_time": "07:30:00",
  "end_time": "09:15:00",
  "time_type_id": 1,
  "stop_type_id": 1,
  "amount_of_routes": 3,
  "class_ids": [
    101,
    102
  ],
  "grade_ids": [
    4,
    5
  ],
  "days_of_week": [
    "Monday",
    "Tuesday",
    "Wednesday",
    "Thursday",
    "Friday"
  ]
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12"

payload = {
    "name": "Morning Elementary Route",
    "start_time": "07:30:00",
    "end_time": "09:15:00",
    "time_type_id": 1,
    "stop_type_id": 1,
    "amount_of_routes": 3,
    "class_ids": [101, 102],
    "grade_ids": [4, 5],
    "days_of_week": ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"Morning Elementary Route","start_time":"07:30:00","end_time":"09:15:00","time_type_id":1,"stop_type_id":1,"amount_of_routes":3,"class_ids":[101,102],"grade_ids":[4,5],"days_of_week":["Monday","Tuesday","Wednesday","Thursday","Friday"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12"

	payload := strings.NewReader("{\n  \"name\": \"Morning Elementary Route\",\n  \"start_time\": \"07:30:00\",\n  \"end_time\": \"09:15:00\",\n  \"time_type_id\": 1,\n  \"stop_type_id\": 1,\n  \"amount_of_routes\": 3,\n  \"class_ids\": [\n    101,\n    102\n  ],\n  \"grade_ids\": [\n    4,\n    5\n  ],\n  \"days_of_week\": [\n    \"Monday\",\n    \"Tuesday\",\n    \"Wednesday\",\n    \"Thursday\",\n    \"Friday\"\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Morning Elementary Route\",\n  \"start_time\": \"07:30:00\",\n  \"end_time\": \"09:15:00\",\n  \"time_type_id\": 1,\n  \"stop_type_id\": 1,\n  \"amount_of_routes\": 3,\n  \"class_ids\": [\n    101,\n    102\n  ],\n  \"grade_ids\": [\n    4,\n    5\n  ],\n  \"days_of_week\": [\n    \"Monday\",\n    \"Tuesday\",\n    \"Wednesday\",\n    \"Thursday\",\n    \"Friday\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Morning Elementary Route\",\n  \"start_time\": \"07:30:00\",\n  \"end_time\": \"09:15:00\",\n  \"time_type_id\": 1,\n  \"stop_type_id\": 1,\n  \"amount_of_routes\": 3,\n  \"class_ids\": [\n    101,\n    102\n  ],\n  \"grade_ids\": [\n    4,\n    5\n  ],\n  \"days_of_week\": [\n    \"Monday\",\n    \"Tuesday\",\n    \"Wednesday\",\n    \"Thursday\",\n    \"Friday\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12', [
  'body' => '{
  "name": "Morning Elementary Route",
  "start_time": "07:30:00",
  "end_time": "09:15:00",
  "time_type_id": 1,
  "stop_type_id": 1,
  "amount_of_routes": 3,
  "class_ids": [
    101,
    102
  ],
  "grade_ids": [
    4,
    5
  ],
  "days_of_week": [
    "Monday",
    "Tuesday",
    "Wednesday",
    "Thursday",
    "Friday"
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Morning Elementary Route\",\n  \"start_time\": \"07:30:00\",\n  \"end_time\": \"09:15:00\",\n  \"time_type_id\": 1,\n  \"stop_type_id\": 1,\n  \"amount_of_routes\": 3,\n  \"class_ids\": [\n    101,\n    102\n  ],\n  \"grade_ids\": [\n    4,\n    5\n  ],\n  \"days_of_week\": [\n    \"Monday\",\n    \"Tuesday\",\n    \"Wednesday\",\n    \"Thursday\",\n    \"Friday\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Morning Elementary Route",
  "start_time": "07:30:00",
  "end_time": "09:15:00",
  "time_type_id": 1,
  "stop_type_id": 1,
  "amount_of_routes": 3,
  "class_ids": [101, 102],
  "grade_ids": [4, 5],
  "days_of_week": ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/bussing/run-setup/update/12")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```